## org.omg.PortableServer
Class IdAssignmentPolicyValueHelper

    java.lang.Object
      |
      +--org.omg.PortableServer.IdAssignmentPolicyValueHelper

public class IdAssignmentPolicyValueHelper
extends java.lang.Object

Helper class for : IdAssignmentPolicyValue

Author:
  OpenORB Compiler

Constructor Summary
`IdAssignmentPolicyValueHelper()`

Method Summary
`static IdAssignmentPolicyValue` `extract(Any a)` Extract IdAssignmentPolicyValue from an any
`static java.lang.String` `id()` Return the IdAssignmentPolicyValue IDL ID
`static void` `insert(Any a, IdAssignmentPolicyValue t)` Insert IdAssignmentPolicyValue into an any
`static IdAssignmentPolicyValue` `read(InputStream istream)` Read IdAssignmentPolicyValue from a marshalled stream
`static TypeCode` `type()` Return the IdAssignmentPolicyValue TypeCode
`static void` `write(OutputStream ostream, IdAssignmentPolicyValue value)` Write IdAssignmentPolicyValue into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IdAssignmentPolicyValueHelper

    public IdAssignmentPolicyValueHelper()

Method Detail

### insert

    public static void insert(Any a,
                              IdAssignmentPolicyValue t)

  Insert IdAssignmentPolicyValue into an any
  Parameters:
    `a` - an any
    `t` - IdAssignmentPolicyValue value

### extract

    public static IdAssignmentPolicyValue extract(Any a)

  Extract IdAssignmentPolicyValue from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted IdAssignmentPolicyValue value

### type

    public static TypeCode type()

  Return the IdAssignmentPolicyValue TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the IdAssignmentPolicyValue IDL ID
  Returns:
    an ID

### read

    public static IdAssignmentPolicyValue read(InputStream istream)

  Read IdAssignmentPolicyValue from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed IdAssignmentPolicyValue value

### write

    public static void write(OutputStream ostream,
                             IdAssignmentPolicyValue value)

  Write IdAssignmentPolicyValue into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - IdAssignmentPolicyValue value